%define group System/Configuration/Packaging
BuildRequires: gtk+-devel 

Name: gtkdialogs
Version: 1.2
Release: 2mdk
Source: gtkdialogs.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}
Summary: Ready-to-use gtk+ dialog boxes
Requires: gtk+
Provides: gchooser gmessage xtest
Group: %{group}

%description
Ready-to-use gtk+ dialog boxes:
- xtest lets you test if X is running or not
- gmessage show a message and some buttons, it returns with the number of the
  pressed button
- gchooser presents a list of entries from which the user can choose

%prep
%setup -n %{name} -q

%build
make clean
make CFLAGS="$RPM_OPT_FLAGS"

%install
make prefix=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/$RPM_PACKAGE_NAME

%files
%defattr(-,root,root)
%{_prefix}/X11R6/bin/xtest
%{_prefix}/X11R6/bin/gmessage
%{_prefix}/X11R6/bin/gchooser

%changelog
* Fri Feb  8 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.2-2mdk
- make clean to remove x86 .o files left in tarball before build

* Wed Jan 30 2002 Pixel <pixel@mandrakesoft.com> 1.2-1mdk
- corrected i18n problem 

* Sun Jan 13 2002 Pixel <pixel@mandrakesoft.com> 1.1-1mdk
- new version (with -center, -nearmouse and -timeout handling, thanks to Andre van Dijk)

* Tue Mar 13 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0-3mdk
- 64bit fixes for ia64

* Tue Mar  6 2001 DindinX <odin@mandrakesoft.com> 1.0-2mdk
- rebuild

* Mon Aug 07 2000 DindinX <odin@mandrakesoft.com> 1.0-1mdk
- very first release as a standalone package

